#!/bin/sh
#
# version.sh -- script to create version string(s) for mmh.
#
# You need to pass the script the version number to use.
#

if [ -z "$1" ]; then
	echo "usage: version.sh VERSION" 1>&2
	exit 1
fi

VERSION=$1

git_info="$(git show --pretty'=format: [%h -- %cD]' HEAD | head -n1)"

echo "char *version_str = \"mmh-${VERSION}${git_info}\";"
echo "char *version_num = \"mmh-$VERSION\";"
